Subject: Re: bug#35875: Guix won't boot after installation with fully encrypted disk

From: Giovanni Biscuolo <[email-masked]>
Date: Thu, 30 May 2019 14:10:36 +0200

Hello Reg,

Reg <[email-masked]> writes:

[...]

>   (bootloader
>     (bootloader-configuration
>       (bootloader grub-efi-bootloader)
>       (target "/boot/efi")
>       (keyboard-layout keyboard-layout)))
>   (mapped-devices
>     (list (mapped-device
>             (source
>               (uuid "e613d30e-c46f-4cb3-8bde-409009be5e2e"))
>             (target "cryptroot")
>             (type luks-device-mapping))))
>   (file-systems
>     (cons* (file-system
>              (mount-point "/boot/efi")
>              (device (uuid "2E91-4865" 'fat32))
>              (type "vfat"))
>            (file-system
>              (mount-point "/")
>              (device "/dev/mapper/cryptroot")
>              (type "ext4")
>              (dependencies mapped-devices))
>            %base-file-systems))

[...]

On a test machine I practically have the very same bootloader,
mapped-device and file-systems configuration and I've no problems
booting

Are you sure your laptop does not boot at all? I mean: can't you switch
to a different tty (CTRL-ALT-F2) and see a console login?

I'm out of ideas here, sorry

HTH! Gio'.

-- 
Giovanni Biscuolo

Xelera IT Infrastructures